<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_9f55fef" . "472b741c" . "b222ce45" . "03e90012" . "a" => base64_decode("cHViX3BhZ2U" . "="), "_1be4a86ec54" . "058894c0dc8e" . "eb44bf65a" => base64_decode("Y29tbW9u" . "LnR5cGUu" . "cHViX3Bh" . "Z2Vz"), "_0c5123aa744f69bbc0e8b" . "3ea2f6e847d" => base64_decode("bG1zZw=" . "="), "_bdf46cfa1aba0af3" . "8c9a9fa98dfd831b" => base64_decode("YXBwX3B1Ym" . "xpc2g="));
use Claromentis\Search\ItemType;






class PublishApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_9f55fef4" . "72b741cb2" . "22ce4503e" . "90012a"] => function () {
            return new ItemType\PublishPage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_1be4a86ec5" . "4058894c0dc" . "8eeb44bf65a"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_bdf46cfa1aba0af38c9a9fa98df" . "d831b"];
    }
}